gnutls_ocsp_status_request_is_checked(3)

NAME
gnutls_ocsp_status_request_is_checked - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ocsp_status_request_is_checked(gnutls_session_t session, unsigned int flags);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

unsigned int flags
    should be zero or GNUTLS_OCSP_SR_IS_AVAIL

DESCRIPTION
When flags are zero this function returns non-zero if a valid OCSP status response was included in the TLS handshake. That is, an OCSP status response which is not too old or superseded. It returns zero otherwise. When the flag GNUTLS_OCSP_SR_IS_AVAIL is specified, the function returns non-zero if an OCSP status response was included in the handshake even if it was invalid. Otherwise, if no OCSP status response was included, it returns zero. The GNUTLS_OCSP_SR_IS_AVAIL flag was introduced in GnuTLS 3.4.0. This is a helper function when needing to decide whether to perform an explicit OCSP validity check on the peer's certificate. Should be called after any of gnutls_certificate_verify_peers*() are called.

RETURNS
non zero if the response was valid, or a zero if it wasn't sent, or sent and was invalid.

SINCE
3.1.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/